Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # png_io_private.hpp File Reference ## Detailed Description Internal support for reading and writing PNG files. Author: Hailin Jin and Lubomir Bourdev Adobe Systems Incorporated Date: 2005-2007 Last updated August 14, 2007 `#include <algorithm>` `#include <vector>` `#include <boost/static_assert.hpp>` `#include "../../gil_all.hpp"` `#include "io_error.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
namespace | boost::gil::detail
## Variables
static const size_t | boost::gil::detail::PNG_BYTES_TO_CHECK = 4